Bug 1010712 - MongoDB runs into an open file limit
MongoDB runs into an open file limit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Skalický
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 13:48 EDT by Andreas Girgensohn
Modified: 2015-01-13 04:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:26:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Girgensohn 2013-09-22 13:48:04 EDT
Description of problem:

After running for a while, MongoDB fails with too many open files.  The default limit of 4096 open files is insufficient.

Version-Release number of selected component (if applicable):

mongodb-server-2.2.6-1.fc18.x86_64

How reproducible:

Always with enough data and enough connections.

Steps to Reproduce:
1. Create a large MongoDB database (2 TB in my case).
2. Open several connections to it that insert more records.

Actual results:

In /var/log/mongodb/mongodb.log:

Sun Sep 22 03:17:06 [FileAllocator] FileAllocator: couldn't create /var/lib/mongodb/tweetgeo.593 (/var/lib/mongodb/_tmp/1379356638478962) errno:24 Too many open files

Expected results:

Continue inserting records.

Additional info:

This can be avoided by adding the following to the end of the [Service] section in /lib/systemd/system/mongod.service:

LimitNOFILE=64000

That is the limit that is recommended here: http://docs.mongodb.org/manual/reference/ulimit/
Comment 1 jpacner 2013-12-02 09:39:07 EST
Hi, thank you for pointing it out and sorry for the delay. Fixed in rawhide. Will get fixed in a few days in 20, 19 and finally 18.
Comment 2 Fedora End Of Life 2013-12-21 10:37:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 jpacner 2013-12-23 07:00:29 EST
According to the End Of Life of f18, I'm changing the version of this bug to f19 and switching to modified (as it is already fixed in mongodb-2.4.8-1.fc19 built on 2013-12-13 09:57:29).
Comment 4 Fedora End Of Life 2015-01-09 17:35:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Marek Skalický 2015-01-12 11:49:25 EST
Not in F20.
Comment 6 Marek Skalický 2015-01-13 04:26:02 EST
This bug is fixed in rawhide (also in F21). If this is still needed to fix it in F20, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.